<form class="{{cssClass}} {{actor.type}} flexcol" autocomplete="off">

  {{!-- Sheet Header --}}
  <header class="sheet-header">
    <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="200" width="200"/>
    <div class="header-fields">
      <h1 class="charname"><input name="name" type="text" value="{{actor.name}}" placeholder="Name" class="font-mars"/></h1>      
      <h3 class="item-controls flexrow flex-between title-bgd-sm text-white">
        <span class="font-banger">{{ localize 'ENGRENAGES.Traits' }}</span>
        <a class="item-control item-create align-right" title="{{ localize "ENGRENAGES.AddItem" }}" data-type="trait"><i class="fas fa-user-plus"></i></a>
      </h3>
      <div class="main">
        {{> "systems/engrenages/templates/actor/parts/actor-traits.html"}}
      </div>
    </div>    
  </header>

  {{!-- Sheet Tab Navigation --}}
  <nav class="sheet-tabs tabs title-bgd text-white font-banger items-center" data-group="primary">
    {{!-- Default tab is specified in actor-sheet.mjs --}}
    <a class="item" data-tab="stats">{{localize 'ENGRENAGES.Traits' }}</a>
    <a class="item" data-tab="description">{{localize 'ENGRENAGES.Description' }}</a>
    <a class="item" data-tab="items">{{localize 'ENGRENAGES.Items' }}</a>
  </nav>

  {{!-- Sheet Body --}}
  <section class="sheet-body">

    <div class="tab stats" data-group="primary" data-tab="stats">
      <section>
        <h3 class="flexrow flex-between title-bgd text-white items-center">
          <span class="font-banger">{{ localize "ENGRENAGES.Skills" }}</span>
          <a class="choose-skill align-right" title="{{ localize "ENGRENAGES.ContactAdd"}}" data-actor-id="{{ actor._id }}"><i class="fas fa-user-plus"></i></a>
        </h3>
        <div class="flexcol flex-group-start mb-sm">
          {{#each system.skills as |skillType stKey|}}
              <div class="flexrow justify-start items-center">
                <strong> <a class="rollable" data-value="{{skillType.value}}" data-skill-type="{{skillType.label}}">{{ localize skillType.label }}</a></strong>
                <select name="system.skills.{{stKey}}.value" data-type="Number" class="inline" style="margin-right: 1rem;">
                {{selectOptions @root.zero2ten selected=skillType.value}}
                </select>
                <span class="flex-10">
                {{#each skillType.data as |skill sKey|}}
                  {{#ifne skill.value 0}}
                    <a class="rollable" data-specialization="1" data-value="{{skill.value}}"  data-skill="{{skill.label}}">{{ localize skill.label }}</a> ({{ skill.value}}) 
                  {{/ifne}}
                {{/each}}
                </span>
              </div>
          {{/each}}
        </div>
      </section>
      <section>
        <h3 class="flex title-bgd text-white items-center justify-start">
          <span class="font-banger">{{ localize "ENGRENAGES.Confrontation" }}</span>          
        </h3>
        <div class="grid grid-2col">
          <div class="skillType flexcol grid-span-1">
            <p class="flexcol items-center"><strong>{{ localize "ENGRENAGES.Achievement" }}</strong>
              <select name="system.reroll.achievement.value" class="inline">
              {{selectOptions @root.achievementReroll selected=system.reroll.achievement.value}}
              </select>
          </p>
          </div>
          <div class="skillType flexcol grid-span-1">
            <p class="flexcol items-center"><strong>{{ localize "ENGRENAGES.Conservation" }}</strong>
              <select name="system.reroll.conservation.value" class="inline">
              {{selectOptions @root.conservationReroll selected=system.reroll.conservation.value}}
              </select>
          </p>
          </div>          
        </div>
      </section>
   </div>
    {{!-- Biography Tab --}}
    <div class="tab biography" data-group="primary" data-tab="description">
      {{!-- If you want TinyMCE editors to output inline rolls when rendered, you need to pass the actor's roll data to the rollData property. --}}
      {{editor system.biography target="system.biography" rollData=rollData button=true owner=owner editable=editable}}
    </div>

    {{!-- Owned Items Tab --}}
    <div class="tab items" data-group="primary" data-tab="items">
       {{> "systems/engrenages/templates/actor/parts/actor-items.html"}}
    </div>


  </section>
</form>

